#!/usr/bin/perl
use List::Util qw(sum);
sub mean {
	return sum(@_)/@_;
}

use Statistics::Basic qw(:all);

$p1= $ARGV[0]; $p2= $ARGV[1]; #dinuucleotide patterns from argument
$output= 'RESULTS'.$p1.'_pairs/'.$p1.'_'.$p2.'_UCE';
#print "$output\n";


open (OP, ">", $output) or die;
open (IN, "UCEfasta_sorted.txt") or die " Could not open file, $!"; #open UCE fasta formatted sequences 
print OP "your patterns are 5' $p1 and 3' $p2\n";


$total= 100000000000; #functions as a placeholder 

$/='>';
for $z (1..1){

$count=0;
@B=(); %{'D'.$z}=(); # hashs of distances as key and counts as value
while (<IN>) {
	if ($count>$total) {last;}
	chomp $_;
	@line= ();
	@line= split(/\n/,$_);
	$s='';$seq=''; @A=();
		for $x (1..$#line) {
			chomp ($line[$x]);
			$s.=$line[$x];
			$seq= uc($s);				
			}

@S=split(//,$seq);
for $x(0..$#S) {
	$di= $S[$x].$S[$x+1];
	push (@A,$di);
		}	
		
$flag=1;
#algorithim for counting occurrences if the first pattern is equal to the second
if ($p1 eq $p2){
	for $x (0..$#A) {
		if ($A[$x] eq $p1) {
			if ($flag) {$flag=0; $old =$x; 
					}
			else { $length= $x-$old; $old=$x; ${'D'.$z}{$length}++; $count++ 
						 }
					}
		}

	}


#algorithim for counting occurrences if the first pattern is not equal to the second
for $x (0..$#A) {
	if ($A[$x] eq $p1) {
		if ($flag){
			$flag=0; $old=$x; 
				}
		else{ $old =$x; 
				}
			}	
		
	elsif ($A[$x] eq $p2) {
		unless ($flag) {
			$length= $x-$old; $flag=1; ${'D'.$z}{$length}++; $count++; 
					}
				}
		}
}
}

#print the counts of occurrences for distances 0 to 100 and calculation of standard error and average
print OP "total counts for $p1 and $p2 is $count\n";
for $x (0..100){
        @{'S'.$x}=();
        @sorted=(); $med=0; $error=0;
        print OP "$x\t";
                for $z (1..1) {
                        if ($z <11){ print OP "${'D'.$z}{$x}\t";}
                                push (@{'S'.$x},${'D'.$z}{$x});
                                   }


$m =&mean((@{'S'.$x}));
$mean= sprintf("%.1f",$m);
#$error= ($sorted[750]-$sorted[250])/2;
$s= stddev(@{'S'.$x});
$stdev= sprintf("%.1f",$s);
print OP "\t$stdev\t$mean\n";

 }
 print OP "$count\n"; #printing total count at end of table to pass to 1000_dint.pl

  
