#!/usr/bin/perl

#script for generating all 4 files for dinucleotide pair patterns
#each output goes to RESULTS_JUN_2/pattern1_pairs
#files will be named by pattern1_pattern2_inputseq ex. AA_AG_UCE

chomp ($ARGV[1]);


$p1 = $ARGV[0];
$p2 = $ARGV[1];

$dir= 'RESULTS/'.$p1.'_pairs';


$start_run = time ();


$file = $p1.'_'.$p2.'_UCE';#output file
system ("perl UCE_dint.pl $p1 $p2");
$total= `tail -1 $dir/$file`;
chomp ($total);

print "$p1 and $p2 start\n";
print "UCE complete\n";



#to create file for Random chr 
$b ='RANDchr11unique/randCHR11_';#input file
$outb = $p1.'_'.$p2.'_RANDchr11';#output file
system ("perl 1000_dint.pl $p1 $p2 $b $dir/$outb $total");
print "Random CHR11 complete\n";


$c ='DATA/chr11_unique';#input file
$outc= $p1.'_'.$p2.'_Chr11';#output file
system ("perl 1000_dint.pl $p1 $p2 $c $dir/$outc $total");
print "Chr11 complete\n";


$d = 'DATA/randUCE_';#input file
$outd = $p1.'_'.$p2.'_RAND_UCE';#output file
system ("perl 1000_dint.pl $p1 $p2 $d $dir/$outd $total");
print "Random UCE complete\n";


$end_run= time ();
$run= $end_run - $start_run;
print "run time = $run seconds \n";

