#!/usr/bin/perl

#script for generating all 3 files for dinucleotide pair patterns for species
#each output goes to RESULTS/pattern1_pairs
#files will be named by pattern1_pattern2_inputseq ex. AA_AG_chick

chomp ($ARGV[1]);


$p1 = $ARGV[0];
$p2 = $ARGV[1];

$start_run = time ();

$uce= 'RESULTS/'.$p1.'_pairs/'.$p1.'_'.$p2.'_UCE';
$total= `tail -1 $uce`;
chomp ($total);


#to create file for CHICKEN 
$b ='CHICKEN/scaff2_unique';#input file
$outb = 'RESULTS_species/chick/'.$p1.'_'.$p2.'_chick';#output file
system ("perl 1000_dint.pl $p1 $p2 $b $outb $total");
print "chicken complete\n";

$c ='ZEBRAFISH/DRchr1_unique';#input file
$outc= 'RESULTS_species/fish/'.$p1.'_'.$p2.'_fish';#output file
system ("perl 1000_dint.pl $p1 $p2 $c $outc $total");
print "fish complete complete\n";


$d = 'DrosophilaMelanogaster/Droz_unique';#input file
$outd = 'RESULTS_species/dros/'.$p1.'_'.$p2.'_dros';#output file
system ("perl 1000_dint.pl $p1 $p2 $d $outd $total");

$end_run= time ();
$run= $end_run - $start_run;
print "run time = $run seconds \n";
