#!/usr/bin/perl
use List::Util qw(sum);
sub mean {
	return sum(@_)/@_;
}

use Statistics::Basic qw(:all);


$p1= $ARGV[0]; $p2= $ARGV[1]; #dinuucleotide patterns from argument
$output= $ARGV[3];
$total= $ARGV[4]; #total from UCE file


open (OP, ">", $output) or die;


print OP "your patterns are 5' $p1 and 3' $p2\n";


$/='>';
for $z (1..1000){

$name= $ARGV[2].$z; #completion of input file name by adding 1 to 1000 on the end 
open (IN, $name) or die "Could not open, $!";

$count=0;
@B=(); %{'D'.$z}=(); # hashs of distances as key and counts as value
while (<IN>) {
	if ($count>$total) {last;} #once counts reach total from UCE results, move to the last line in loop
	chomp $_;
	@line= ();
	@line= split(/\n/,$_);
	$s='';$seq=''; @A=();
		for $x (1..$#line) {
			chomp ($line[$x]);
			$s.=$line[$x];
			$seq= uc($s);				
			}

@S=split(//,$seq);
for $x(0..$#S) {
	$di= $S[$x].$S[$x+1]; #reading dinucleotides in sequence and saving into new array
	push (@A,$di);
		}	
		

$flag=1;
#algorithim for counting occurrences if pattern 1 is equal to pattern 2
if ($p1 eq $p2){
	for $x (0..$#A) {
		if ($A[$x] eq $p1) {
			if ($flag) {$flag=0; $old =$x; 
					}
			else { $length= $x-$old; $old=$x; ${'D'.$z}{$length}++; $count++ 
						 }
					}
		}

	}



#algorithim for counting occurrences if pattern 1 is not equal to pattern 2
for $x (0..$#A) {
	if ($A[$x] eq $p1) {
		if ($flag){
			$flag=0; $old=$x; 
	
				}
		else{ $old =$x; 
				}
			}	
		
	elsif ($A[$x] eq $p2) {
		unless ($flag) {
			$length= $x-$old; $flag=1; ${'D'.$z}{$length}++; $count++; 
					}
				}
		}
}
}

print OP "total counts for $p1 and $p2 is $count\n";

#occurrences for distances 1 to 100
for $x (0..100){
        @{'S'.$x}=();
        @sorted=(); $med=0; $error=0;
        print OP "$x\t";
                for $z (1..1000) { #printing only the results from the first 10 files
                        if ($z <11){ print OP "${'D'.$z}{$x}\t";}
                                push (@{'S'.$x},${'D'.$z}{$x});
                                   }


#calculation of mean and standard deviation
$m =&mean((@{'S'.$x}));
$mean= sprintf("%.1f",$m);
$s= stddev(@{'S'.$x});
$stdev= sprintf("%.1f",$s);
print OP "\t$stdev\t$mean\n";

 }

