#!/usr/bin/perl

chomp $ARGC[1];
$p1 = $ARGV[0];
$p2 = $ARGV[1];

$dir= 'RESULTS/'.$p1.'_pairs/'; #directory according to pattern1 

$csv= $dir.'avg_csv/'.$p1.'_'.$p2.'avg_sig.csv'; 




open (CSV, ">", $csv) or die;

#temporary files that will be removed
$a1= $dir.$p1.$p2.'avg1';
$a2= $dir.$p1.$p2.'avg2';
$a3= $dir.$p1.$p2.'avg3';
$a4= $dir.$p1.$p2.'avg4';
$sig1= $dir.$p1.$p2.'sig1';
$sig2= $dir.$p1.$p2.'sig2';
$sig3= $dir.$p1.$p2.'sig3';



#cutting the first columm (distances) and the fifth column (number of occurrences)
$UCE= $dir.$p1.'_'.$p2.'_UCE';
	system("cut -f1,5 $UCE | head -n -1|  sed '1,2d'> $a1");



$Chr11= $dir.$p1.'_'.$p2.'_Chr11';
	#cutting the average column for whole genome
	system("cut -f14 $Chr11 | head -n -1|  sed '1,2d'> $a2");
	#cutting the standard deviation column for whole genome
        system("cut -f13 $Chr11 | head -n -1| sed '1,2d' > $sig1");


$RaUCE= $dir.$p1.'_'.$p2.'_RAND_UCE';
	#cutting the average column for random UCE
	system ("cut -f14 $RaUCE | head -n -1| sed '1,2d'> $a3");
	#cutting the standard deviaton column for random UCE
	 system("cut -f13 $RaUCE | head -n -1| sed '1,2d' > $sig2");

$RaCh= $dir.$p1.'_'.$p2.'_RANDchr11';
	#cutting the average column for random whole genome
	system("cut -f14 $RaCh | head -n -1| sed '1,2d' > $a4");
	#cutting the standard deviation column for random whole genome
	system("cut -f13 $RaCh | head -n -1| sed '1,2d' > $sig3");


#creation of output file in csv format 
print CSV "Distance,UCE,WG,Ra UCE,Ra WG,sig WG,sig Ra UCE,sig Ra WG\n";
$excel = `paste -d "\t" $a1 $a2 $a3 $a4 $sig1 $sig2 $sig3 | tr "\t" ","`;
print CSV $excel;

#remove temporary files
system ("rm $a1 $a2 $a3 $a4 $sig1 $sig2 $sig3");

